Bug 165578 - Using qlogic 4010 iSCSI card trigger very high IO wait
Using qlogic 4010 iSCSI card trigger very high IO wait
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks: 218730
  Show dependency treegraph
 
Reported: 2005-08-10 12:05 EDT by Richard Freeman
Modified: 2007-11-30 17:07 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 10:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Freeman 2005-08-10 12:05:17 EDT
Description of problem:

This issue has been confirmed by myself on a Sunfire v20z x86-64 system, as well
as a Sunfire v65x 32-bit system. Both are running RHEL 3 (U4 on the x86-64
system, U5 on the i386 system). This issue has also been reproduced by QLogic
themselves.

The issue is with a hardware iSCSI HBA - the QLogic 4010. We are booting from a
LUN hosted on our NetApp filers, which RHEL 3 is installed on.

Now during any heavy I/O, the system can go to 100% iowait for a long period of
time. During which, it totally locks-up! It even does this on installation, as
you can see the installer pause for long periods of time. It doesn't even have
to be RPM transaction that cause it, any large amount of I/O seems to cause it.
I suspect it is due to how much data is written, rather than read however. I
cannot be sure though.

I've spoken with NetApp, and they can confirm no traffic is even being sent to
the filer. Whilst QLogic can reproduce it, they have no idea of a fix either and
suspect it is a problem with the kernel itself.

If you need any further information, let me know. I think the vmstat output
speaks for itself. This was using YUM to install openoffice.org RPMs supplied by
Redhat. It locks to 100% iowait for a long time, and then periodically dumps
very large writes out - almost as if something is processing this data before it
is sent.

Thanks!


Version-Release number of selected component (if applicable):

kernel - 2.4.21-32.ELsmp

How reproducible:

Everytime.

Steps to Reproduce:
1. Delete openoffice RPMs.
2. Install openoffice RPMs.
3.
  
Actual results:

[root@rioja root]# vmstat 1
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 0  0      0 2946136  24104  70084    0    0     3     3   52    12  0  0 99  1
 0  0      0 2946136  24104  70084    0    0     0     0  110    29  0  0 100  0
 0  0      0 2946136  24104  70084    0    0     0     0  111    35  0  0 100  0
 0  0      0 2946136  24104  70084    0    0     0     0  115    45  0  0 100  0
 0  0      0 2946136  24120  70084    0    0     0    72  115    46  0  0 95  5
 0  0      0 2946136  24120  70084    0    0     0     0  108    39  0  0 100  0
 0  0      0 2946136  24120  70084    0    0     0     0  110    35  0  0 100  0
 0  0      0 2946136  24120  70084    0    0     0     0  121    51  0  0 100  0
 0  0      0 2946136  24120  70084    0    0     0     0  127    55  0  0 100  0
 0  0      0 2946136  24124  70084    0    0     0    12  117    52  0  0 95  4
 0  0      0 2946136  24124  70084    0    0     0     0  119    56  0  1 99  0
 1  0      0 2946132  24124  70084    0    0     0     0  136    66  0  0 100  0
 0  0      0 2946128  24124  70084    0    0     0     0  138    67  0  0 100  0
 0  1      0 2944452  24156  70704    0    0   656     0  206   225  1  1 82 15
 0  0      0 2940936  24240  72284    0    0  1528   272  364   476  8  0 70 21
 1  0      0 2929776  24240  78272    0    0  5948   240  392   339 13  6 53 28
 0  1      0 2883000  24284 101496    0    0 23268     0  497   530 19  7 49 25
 1  1      0 2858704  24396 111396    0    0  8324     0  339   345  9  4 50 38
 1  1      0 2844424  24396 123520    0    0 12124     0  446   462  4  4 51 42
 1  1      0 2821788  24412 141376    0    0 17856   316  678   796  5  3 50 42
 0  1      0 2799412  24412 155980    0    0 14604     0  560   729  8  7 51 35
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 2  0      0 2789644  24412 162240    0    0  6172     0  569   732  7  2 68 23
 0  0      0 2789640  24412 162336    0    0     0     0  640   724  2  1 97  0
 0  0      0 2789632  24412 162440    0    0     0     0  552   727  0  0 99  0
 0  0      0 2788700  24424 162940    0    0     0  2564  639   720  2  4 86  8
 0  0      0 2787948  24428 163236    0    0     0     0  570   687  2  0 98  0
 0  0      0 2787936  24432 163528    0    0     0     0  561   677  3  0 96  0
 0  0      0 2787928  24436 163808    0    0     0     0  559   674  4  2 94  0
 0  0      0 2787660  24444 164188    0    0     0     0  558   666  4  0 96  0
 0  0      0 2786944  24464 164728    0    0     0  1740  621   688  2  1 91  5
 0  0      0 2786940  24468 165092    0    0     0     0  574   691  4  0 96  0
 0  0      0 2786652  24476 165572    0    0     0     0  582   665  4  3 93  0
 0  0      0 2786024  24484 165944    0    0     0     0  574   677  4  1 95  0
 0  0      0 2785736  24496 166384    0    0     0     0  567   637  3  1 96  0
 0  0      0 2785204  24508 166776    0    0     0  2176  621   658  3  1 91  6
 0  0      0 2783608  24520 167188    0    0     0     0  541   614  6  1 93  0
 0  0      0 2783608  24524 167468    0    0     0     0  568   684  2  0 98  0
 0  0      0 2783488  24532 168020    0    0     0     0  517   601  9  1 90  0
 0  0      0 2846048  24536 168208    0    0     0     0  440   480  9  1 90  0
 0  0      0 2845960  24544 168208    0    0     0  3208  182    57  0  0 92  8
 0  0      0 2845960  24544 168208    0    0     0     0  109    33  0  0 100  0
 0  0      0 2845960  24544 168208    0    0     0     0  109    35  0  0 100  0
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 1  0      0 2845960  24544 168208    0    0     0     0  109    31  0  0 100  0
 0  0      0 2845960  24544 168208    0    0     0     0  113    27  0  0 100  0
 0  0      0 2845960  24544 168208    0    0     0   144  142    68  0  0 94  5
 0  0      0 2845960  24544 168208    0    0     0     0  125    74  0  0 100  0
 0  0      0 2845960  24544 168208    0    0     0     0  116    35  0  0 100  0
 1  0      0 2838712  24548 168212    0    0     0     0  249   209 25  6 69  0
 1  0      0 2785024  24556 168212    0    0     0     0  114    45 37 13 50  0
 1  0      0 2798628  24576 168236    0    0     0  2384  214    66 39 11 42  7
 1  0      0 2797804  24576 168224    0    0    12     0  112    46 48  2 50  0
 1  0      0 2799948  24576 168224    0    0     0     0  112    32 48  2 50  0
 1  0      0 2797800  24576 168228    0    0     0     0  133    64 49  1 50  0
 2  0      0 2776548  24600 191624    0    0     0     0  910   972 24  9 68  0
 0  2      0 2740904  24632 219560    0    0     0 39468 2356  1279 18 18 39 25
 0  3      0 2721168  24656 242424    0    0     4     0 2185   318 18 10 11 61
 0  3      0 2721168  24656 242424    0    0     0     0  111    42  0  0  0 100
 0  3      0 2721224  24656 242424    0    0     0     0  111    32  0  0  0 100
 0  3      0 2721224  24656 242424    0    0     0     0  115    41  0  0  0 100
 0  3      0 2721224  24656 242424    0    0     0     0  110    36  0  0  0 100
 0  3      0 2721220  24656 242424    0    0     0     0  113    46  0  0  0 100
 0  3      0 2721220  24656 242424    0    0     0     0  111    32  0  0  0 100
 0  3      0 2721224  24656 242424    0    0     0     0  112    36  0  0  0 100
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 0  3      0 2721096  24656 242424    0    0     0     0  110    40  0  0  0 100
 1  3      0 2721096  24656 242424    0    0     0     0  109    28  0  0  0 100
 0  3      0 2721096  24656 242424    0    0     0     0  110    37  0  0  0 100
 1  0      0 2721168  24668 242812    0    0    28 36324  807    97 31 14 12 44
 1  0      0 2686644  24668 278272    0    0     0     0  148    88 36 14 50  0
 1  0      0 2660480  24668 304432    0    0     0     0  187   135 27 24 49  0
 1  0      0 2627532  24668 335816    0    0     0     0  166   112 33 17 50  0
 1  0      0 2609676  24756 351380    0    0   160  4940  595   268 23 12 51 13
 0  3      0 2599008  24756 351388    0    0     4 12212  114    40  2  1  9 87
 0  3      0 2598944  24756 351388    0    0     0    64  113    38  0  0  0 100
 0  3      0 2598416  24756 351388    0    0     0     0  152   105  0  0  0 99
 0  3      0 2598416  24756 351388    0    0     0     0  111    38  0  0  0 100
 0  3      0 2598416  24756 351388    0    0     0     0  107    30  0  0  0 100
 0  3      0 2598416  24756 351388    0    0     0     0  109    34  0  0  0 100
 0  3      0 2598272  24756 351388    0    0     0     0  111    44  0  0  0 100
 0  3      0 2598272  24756 351388    0    0     0     0  115    40  0  0  0 100
 0  3      0 2598272  24756 351388    0    0     0     0  111    41  0  0  0 100
 1  3      0 2598272  24756 351388    0    0     0     0  111    41  0  0  0 100
 0  3      0 2598272  24756 351388    0    0     0     0  117    45  0  0  0 99
 0  3      0 2598272  24756 351388    0    0     0     0  111    37  0  0  0 100
 0  3      0 2598272  24756 351388    0    0     0     0  111    33  0  0  0 100
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 1  3      0 2598272  24756 351388    0    0     0     0  113    39  0  0  0 100
 0  3      0 2598272  24756 351388    0    0     0     0  112    43  0  0  0 100
 0  3      0 2579172  24760 351388    0    0     0 57960 1096    92  0  7  0 93
 0  3      0 2579156  24760 351388    0    0     0   736  113    36  0  0  0 100
 0  3      0 2579156  24760 351388    0    0     0     0  111    34  0  0  0 100
 0  3      0 2579156  24760 351388    0    0     0     0  111    37  0  0  0 100
 0  3      0 2579156  24760 351388    0    0     0     0  114    30  0  0  0 100
 0  3      0 2579156  24760 351388    0    0     0     0  109    30  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  118    44  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  111    32  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  111    37  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  109    30  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  113    26  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  110    33  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  113    36  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  114    44  0  0  0 100
 3  3      0 2579144  24760 351388    0    0     0     0  114    36  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  111    37  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  110    35  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  114    32  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  110    34  0  0  0 100
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 1  3      0 2579144  24760 351388    0    0     0     0  111    31  0  0  0 100
 1  3      0 2579144  24760 351388    0    0     0     0  112    32  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  112    41  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  110    32  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  111    36  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  110    38  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  110    30  0  0  0 100
 0  3      0 2579144  24760 351388    0    0     0     0  110    30  0  0  0 100
 0  3      0 2579104  24764 351388    0    0     0 38228  807    74  0  7 16 78
 0  2      0 2606348  24788 351392    0    0     8  6380  733    53  0  1 34 65
 0  2      0 2606348  24788 351392    0    0     0     0  104    27  0  0  0 100
 0  2      0 2606348  24788 351392    0    0     0     0  104    19  0  0  0 100
 1  2      0 2606348  24788 351392    0    0     0     0  106    21  0  0  0 100
 0  2      0 2606348  24788 351392    0    0     0     0  104    22  0  0  0 100
 0  2      0 2606348  24788 351392    0    0     0     0  104    28  0  0  0 100
 1  0      0 2581768  24868 376088    0    0   224  1532  213   192 25  9 36 30
 1  0      0 2544884  24868 412972    0    0     0     0  136    67 42  8 50  0
 1  0      0 2506508  24868 450744    0    0     0     0  133    69 39 12 49  0
 0  0      0 2541316  25140 461736    0    0    16  2464  626   543 18  5 59 18
 0  2      0 2509320  25144 461736    0    0     0 41800  300    46  0  6 62 32
 0  2      0 2508836  25144 461736    0    0     0   552  106    23  0  0  0 100
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 1  2      0 2508836  25144 461736    0    0     0     0  103    21  0  0  0 100
 0  2      0 2508840  25144 461736    0    0     0     0  104    23  0  0  0 100
 0  2      0 2508840  25144 461736    0    0     0     0  105    17  0  0  0 100
 0  2      0 2508840  25144 461736    0    0     0     0  104    27  0  0  0 100
 0  2      0 2508840  25144 461736    0    0     0     0  103    23  0  0  0 100
 0  2      0 2508840  25144 461736    0    0     0     0  110    23  0  0  0 100
 0  2      0 2508840  25144 461736    0    0     0     0  103    20  0  0  0 100
 0  2      0 2508776  25144 461736    0    0     0     0  147   100  0  0  0 100
 0  2      0 2508788  25144 461736    0    0     0     0  104    29  0  0  0 100
 0  2      0 2508788  25144 461736    0    0     0     0  104    21  0  0  0 100
 0  2      0 2508788  25144 461736    0    0     0     0  105    25  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  107    33  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  103    19  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  104    31  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  104    21  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  105    24  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  104    21  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  104    22  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  103    27  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  104    27  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  103    21  0  0  0 100
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 1  2      0 2508792  25144 461736    0    0     0     0  107    27  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  105    25  0  0  0 100
 0  2      0 2508792  25144 461736    0    0     0     0  104    25  0  0  0 100
 1  2      0 2508792  25144 461736    0    0     0     0  103    19  0  0  0 100
 0  2      0 2510000  25144 461736    0    0     0 40600  777    54  0  5  0 95
 0  2      0 2517428  25144 461736    0    0     0 28500  676    51  0  3  0 97
 0  2      0 2517496  25144 461736    0    0     0     0  105    21  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0   796  104    27  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  105    21  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  104    21  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  107    27  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  105    22  0  0  0 100
 1  3      0 2517496  25144 461736    0    0     0     0  105    23  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  103    18  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  105    24  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  103    21  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  108    27  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  103    25  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  105    23  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  104    25  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  104    29  0  0  0 100
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 1  3      0 2517496  25144 461736    0    0     0     0  106    21  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  104    31  0  0  0 100
 1  3      0 2517496  25144 461736    0    0     0     0  104    17  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  104    20  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  103    21  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  104    25  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  103    23  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  109    29  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  103    20  0  0  0 100
 0  3      0 2517496  25144 461736    0    0     0     0  107    27  0  0  0 100
 0  3      0 2529380  25144 461736    0    0     0  1168  325    39  0  0  0 100
 0  0      0 2538576  25164 461736    0    0     0   900  634    61  0  0 79 20
 0  0      0 2538576  25164 461736    0    0     0     0  110    33  0  0 100  0
 0  0      0 2538576  25164 461736    0    0     0     0  112    33  0  0 100  0
 0  0      0 2538576  25164 461736    0    0     0     0  112    33  0  0 100  0
 0  1      0 2538580  25164 461736    0    0     0     8  111    38  0  0 97  2
 0  0      0 2538580  25168 461736    0    0     0     4  113    36  0  0 97  3
 0  0      0 2538580  25168 461736    0    0     0     0  113    35  0  0 100  0
 0  0      0 2538580  25168 461736    0    0     0     0  111    34  0  0 100  0
 0  0      0 2538580  25168 461736    0    0     0     0  112    33  0  0 100  0
 0  1      0 2538580  25168 461736    0    0     0     8  109    40  0  0 95  5
procs                      memory      swap          io     system         cpu
 r  b   swpd   free   buff  cache   si   so    bi    bo   in    cs us sy id wa
 2  0      0 2538580  25168 461736    0    0     0     4  114    36  0  0 99  0
 0  0      0 2538580  25168 461736    0    0     0     0  114    43  0  0 99  0
 0  0      0 2538580  25168 461736    0    0     0     0  112    33  0  0 100  0
 0  0      0 2538580  25176 461736    0    0     0    52  176   154  0  1 93  5


Expected results:

I wouldn't except the system to high 100% iowait for such a long period of time!

Additional info:

[root@rioja root]# lspci -v
00:00.0 Host bridge: Intel Corporation E7501 Memory Controller Hub (rev 01)
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: bus master, fast devsel, latency 0
        Capabilities: [40] #09 [1105]

00:00.1 Class ff00: Intel Corporation E7500/E7501 Host RASUM Controller (rev 01)
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: fast devsel

00:03.0 PCI bridge: Intel Corporation E7500/E7501 Hub Interface C PCI-to-PCI
Bridge (rev 01) (prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=00, secondary=02, subordinate=04, sec-latency=0
        I/O behind bridge: 00002000-00003fff
        Memory behind bridge: fe700000-feafffff
        Prefetchable memory behind bridge: fc200000-fc4fffff

00:03.1 Class ff00: Intel Corporation E7500/E7501 Hub Interface C RASUM
Controller (rev 01)
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: fast devsel

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 42) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 00001000-00001fff
        Memory behind bridge: fc600000-fe6fffff
        Prefetchable memory behind bridge: fc100000-fc1fffff

00:1f.0 ISA bridge: Intel Corporation 82801CA LPC Interface Controller (rev 02)
        Flags: bus master, medium devsel, latency 0

00:1f.1 IDE interface: Intel Corporation 82801CA Ultra ATA Storage Controller
(rev 02) (prog-if 8a [Master SecP PriP])
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: bus master, medium devsel, latency 0, IRQ 17
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at <unassigned>
        I/O ports at 03a0 [size=16]
        Memory at c0000000 (32-bit, non-prefetchable) [size=1K]

00:1f.3 SMBus: Intel Corporation 82801CA/CAM SMBus Controller (rev 02)
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: medium devsel, IRQ 17
        I/O ports at 0580 [size=32]

01:0c.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
(prog-if 00 [VGA])
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: bus master, stepping, medium devsel, latency 64, IRQ 17
        Memory at fd000000 (32-bit, non-prefetchable) [size=16M]
        I/O ports at 1000 [size=256]
        Memory at fe3f0000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe3c0000 [disabled] [size=128K]
        Capabilities: [5c] Power Management version 2

02:1c.0 PIC: Intel Corporation 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20
[IO(X)-APIC])
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Memory at feae0000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] PCI-X non-bridge device.

02:1d.0 PCI bridge: Intel Corporation 82870P2 P64H2 Hub PCI Bridge (rev 04)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=02, secondary=04, subordinate=04, sec-latency=64
        Memory behind bridge: fe900000-fe9fffff
        Prefetchable memory behind bridge: 00000000fc300000-00000000fc300000
        Capabilities: [50] PCI-X non-bridge device.

02:1e.0 PIC: Intel Corporation 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20
[IO(X)-APIC])
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: bus master, 66Mhz, fast devsel, latency 0
        Memory at feaf0000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [50] PCI-X non-bridge device.

02:1f.0 PCI bridge: Intel Corporation 82870P2 P64H2 Hub PCI Bridge (rev 04)
(prog-if 00 [Normal decode])
        Flags: bus master, 66Mhz, fast devsel, latency 64
        Bus: primary=02, secondary=03, subordinate=03, sec-latency=64
        I/O behind bridge: 00002000-00003fff
        Memory behind bridge: fe700000-fe8fffff
        Prefetchable memory behind bridge: 00000000fc200000-00000000fc200000
        Capabilities: [50] PCI-X non-bridge device.

03:07.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet
Controller (Copper) (rev 01)
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 30
        Memory at fe860000 (64-bit, non-prefetchable) [size=128K]
        I/O ports at 2840 [size=64]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device.
        Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-

03:07.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet
Controller (Copper) (rev 01)
        Subsystem: Intel Corporation: Unknown device 341a
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 31
        Memory at fe880000 (64-bit, non-prefetchable) [size=128K]
        I/O ports at 2800 [size=64]
        Capabilities: [dc] Power Management version 2
        Capabilities: [e4] PCI-X non-bridge device.
        Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-

03:09.0 Ethernet controller: QLogic Corp.: Unknown device 3010 (rev 04)
        Subsystem: QLogic Corp.: Unknown device 0113
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 27
        I/O ports at 2400 [size=256]
        Memory at fe8e0000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe8a0000 [disabled] [size=128K]
        Capabilities: [44] Power Management version 2
        Capabilities: [4c] PCI-X non-bridge device.
        Capabilities: [54] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-

03:09.1 Network controller: QLogic Corp.: Unknown device 4010 (rev 04)
        Subsystem: QLogic Corp.: Unknown device 0114
        Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 28
        I/O ports at 2000 [size=256]
        Memory at fe8f0000 (64-bit, non-prefetchable) [size=4K]
        Expansion ROM at fe8c0000 [disabled] [size=128K]
        Capabilities: [44] Power Management version 2
        Capabilities: [4c] PCI-X non-bridge device.
        Capabilities: [54] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
Comment 1 QLogic Technical Support 2005-08-10 17:34:02 EDT
support@qlogic.com
Comment 3 ravi anand 2006-12-06 22:24:54 EST
Please provide the following info :

/proc/scsi/qla4010/<id> 
/proc/scsi/scsi 

and the messages file. 

Ravi
Comment 5 RHEL Product and Program Management 2006-12-07 10:30:55 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.